<?php

if ( strpos($_SERVER['PHP_SELF'],"basicshow.class.php") !== false ) {
	header( "Location: ../index.php" );
	die;
}


class gfbasicshow {
	protected $title;
	protected $jqgrid;
	protected $headeradd;
	protected $bodyadd;
	protected $bodyheaderadd;
	protected $bodyfooteradd;
	protected $menupos;
	public $message;
	public $messageinfo;
	public $heightbody;
	public $focus;
	public $tombollogoff;
	public $tombolmenu;
	public $kembaliurl;

	public function __construct( $title, $jqgrid, $menupos, $heightbody ) {
		$this->title = $title;
		$this->jqgrid = $jqgrid;
		$this->headeradd = "";
		$this->bodyadd = "";
		$this->bodyheaderadd = "";
		$this->bodyfooteradd = "";
		$this->focus = "";
		$this->message = "";
		$this->messageinfo = "";
		$this->menupos = $menupos;
		$this->heightbody = $heightbody;
		$this->tombollogoff = true;
		$this->tombolmenu = false;
		$this->kembaliurl = "";
	}

    public function heightbodyaddnonfirefox( $tambah ) {
		if ( !isfirefox() ) {
			$this->heightbody = ( $this->heightbody + $tambah );
		}
	}

    public function headeradd( $html ) {
		$this->headeradd = $this->headeradd . $html . "\n";
	}

    public function bodyadd( $html ) {
		$this->bodyadd = $this->bodyadd . $html . "\n";
	}

    public function bodyheaderadd( $html ) {
		$this->bodyheaderadd = $this->bodyheaderadd . $html . "\n";
	}

    public function bodyfooteradd( $html ) {
		$this->bodyfooteradd = $this->bodyfooteradd . $html . "\n";
	}

	public function output() {

		echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">' . "\n";
		echo '<html>' . "\n";
		echo '<head>' . "\n";
		echo '<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8">' . "\n";
		echo '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">' . "\n";
		echo '<title>' . NAMA_PERUSAHAAN . ( $this->title != "" ? " - " . $this->title : "" ) . '</title>' . "\n";
		echo '<link rel="shortcut icon" href="./images/favicon.ico">' . "\n";
		echo '<link rel="stylesheet" href="./css/gfsoft.css" type="text/css">' . "\n";
		echo '<link rel="stylesheet" href="./css/gfsoftdialog.css" type="text/css">' . "\n";
		echo '<link rel="stylesheet" href="./css/jquery-ui-1.8.22.custom.css" type="text/css">' . "\n";
		echo '<script type="text/javascript" src="./js/jquery-1.7.2.min.js"></script>' . "\n";
		echo '<script type="text/javascript" src="./js/jquery.form.min.js"></script>' . "\n";
		echo '<script type="text/javascript" src="./js/jquery-ui-1.8.22.custom.min.js"></script>' . "\n";
		echo '<script type="text/javascript" src="./js/jquery.livequery.min.js"></script>' . "\n";
		echo '<script type="text/javascript" src="./js/jquery.meio.mask.min.js"></script>' . "\n";
		echo '<script type="text/javascript" src="./js/jquery.timeentry.min.js"></script>' . "\n";
		echo '<script type="text/javascript" src="./js/gfsoft.js"></script>' . "\n";
		echo '<script type="text/javascript" src="./js/date.js"></script>' . "\n";
		echo '<script type="text/javascript">' . "\n";
		echo '	$(document).ready(function() {' . "\n";
		echo '		InitBox()' . "\n";
		echo '		InitSlideMenu()' . "\n";
		echo '	});' . "\n";
		echo '</script>' . "\n";

		if ( $this->jqgrid ) {
			echo '<link rel="stylesheet" type="text/css" href="./css/ui.multiselect.css">' . "\n";
			echo '<link rel="stylesheet" type="text/css" media="screen" href="jqGrid/css/ui.jqgrid.css" />' . "\n";
			echo '<script src="./js/ui.multiselect.js" type="text/javascript"> </script>' . "\n";
			echo '<script src="jqGrid/js/grid.locale-en.js" type="text/javascript"></script> ' . "\n";
			echo '<script src="jqGrid/js/jquery.jqGrid.min.js" type="text/javascript"></script>' . "\n";
			echo '<script src="./js/jquery.fmatter.js" type="text/javascript"></script>' . "\n";
			echo '<script src="./js/gfsoftjqgrid.min.js" type="text/javascript"></script>' . "\n";
			echo '<style type="text/css">' . "\n";
			echo '	.ui-jqgrid {font-size:1.0em}' . "\n";
			echo '	.ui-jqdialog {font-size:1.0em}' . "\n";
			echo '</style>' . "\n";
		}

		if ( $this->headeradd != "" ) {
			echo $this->headeradd . "\n";
		}

		echo '<style type="text/css">' . "\n";
		echo '	.ui-widget, .ui-widget button {' . "\n";
		echo '		font-size: 0.7em;' . "\n";
		echo '	}' . "\n";
		echo '</style>' . "\n";

		echo '</head>' . "\n";

		$onload = "";

		if ( $this->focus != "" ) {
			$onload = "document.getElementById('" . $this->focus . "').focus();";
		}

		if ( $this->message != "" ) {
			$onload = "BoxError( '" . $this->message . "', '" . $this->focus . "' );";
		} elseif ( $this->messageinfo != "" ) {
			$onload = "BoxInfo( 'Info', '" . $this->messageinfo . "', '" . $this->focus . "' );";
		}

		if ( $onload != "" ) {
			echo '<body onLoad="' . $onload . '">' . "\n";
		} else {
			echo '<body>' . "\n";
		}

		echo '<div id="container" class="container">' . "\n";
		echo '<div id="jQBoxError" title="Error"></div>' . "\n";
		echo '<div id="jQBoxInfo" title="Info"></div>' . "\n";
		echo '<div id="jQBoxAsk" title="Ask?"></div>' . "\n";

		echo '<div id="bagianbody" class="dialogWithDropShadow" style="margin:0;overflow:auto;padding:0;position:absolute;left:0x;top:80px;width:1000px;height:' . $this->heightbody . 'px;text-align:center;background-color:#FFFFFF">' . "\n";
		if ( $this->bodyadd != "" ) {
			echo $this->bodyadd . "\n";
		}
		echo '</div>' . "\n";

		echo '<div id="bagianfooter" style="margin:0;padding:0;position:absolute;left:0x;top:' . ( $this->heightbody + 88 ) . 'px;width:1000px;height:50px;">' . "\n";
		echo '<table border="0" cellpadding="0" cellspacing="0" style="position:absolute;top:5px;left:0px;width:1000px">' . "\n";
		echo '	<tr>' . "\n";
		echo '		<td class="standardhuruf" align="left"><font color="#FFFFFF">' . NAMA_PERUSAHAAN . '</font></td>' . "\n";
		echo '		<td class="standardhuruf" align="right"><font color="#FFFFFF">© GFSoft Indonesia</font></td>' . "\n";
		echo '	</tr>' . "\n";
		echo '</table>' . "\n";
		echo '</div>' . "\n";

		echo '<div id="bagianheader"></div>' . "\n";
//		echo '<div id="LogoPerusahaan" style="margin-left:0px;padding:0;position:absolute;top:5px;">' . "\n";
//		echo '<img src="images/gfakuntansi.png" id="ImageLogo" alt="" border="0"></div>' . "\n";

		echo '<div id="UserText" class="standardhuruf" style="margin-left:650px;padding:0;position:absolute;top:10px;width:350px;height:44px;text-align:right;">' . "\n";
		echo echouserinfo() . '</div>' . "\n";

		echo '<div id="NamaPerusahaan" class="standardhuruf" style="margin-left:0px;padding:0;position:absolute;top:25px;width:650px;height:44px;text-align:left;">' . "\n";
		echo '<font color="#FFFFFF" style="font-size:27px"><b>' . strtoupper(NAMA_PERUSAHAAN) . '</b></font></div>' . "\n";

		if ( $this->kembaliurl != "" ) {
			echo '<div id="Kembali" style="margin:0;padding:0;position:absolute;left:640px;top:35px;width:120px;height:40px;text-align:left;"><a href="#" onclick="showwait(\'Mohon Tunggu Sebentar...\');window.open(\'' . $this->kembaliurl . '\',\'_self\');">' . "\n";
			echo '<img src="images/buttonkembali.png" border="0" onMouseOver="this.src=\'images/buttonkembali_hover.png\'" onMouseOut="this.src=\'images/buttonkembali.png\'"></a></div>' . "\n";
		}

		if ( $this->tombolmenu ) {
			echo '<div id="MenuUtama" style="margin:0;padding:0;position:absolute;left:760px;top:35px;width:120px;height:40px;text-align:left;"><a href="main.php" onclick="showwait(\'Mohon Tunggu Sebentar...\')">' . "\n";
			echo '<img src="images/buttonmenu.png" border="0" onMouseOver="this.src=\'images/buttonmenu_hover.png\'" onMouseOut="this.src=\'images/buttonmenu.png\'"></a></div>' . "\n";
		}

		if ( $this->tombollogoff ) {
			echo '<div id="UserLogout" style="margin:0;padding:0;position:absolute;left:880px;top:35px;width:120px;height:40px;text-align:left;"><a href="index.php" onclick="showwait(\'Mohon Tunggu Sebentar...\')">' . "\n";
			echo '<img src="images/buttonlogout.png" border="0" onMouseOver="this.src=\'images/buttonlogout_hover.png\'" onMouseOut="this.src=\'images/buttonlogout.png\'"></a></div>' . "\n";
		}

//		echo '<div id="MenuPosText" class="standardhuruf" style="margin-left:350px;padding:0;position:absolute;top:60px;width:350px;height:44px;text-align:left;">' . "\n";
//		echo '<font color="#7F7F7F"><b>' . $this->menupos . '</b></font></div>' . "\n";

		echo '</div>' . "\n";

		echo '</body>' . "\n";
		echo '</html>' . "\n";
	}

}


function echouserinfo() {

	if ( isset($_SESSION['login_user']) and $_SESSION['login_userid'] > 0 ) {
		$Message = "User : " . $_SESSION['login_user'] . " (" . $_SESSION['login_datetime'] . ")";
	} else {
		$Message = "---";
	}

	echo $Message;
}


function echouserinfo2() {

	if ( isset($_SESSION['login_user']) and $_SESSION['login_userid'] > 0 ) {
		$Message = "User : " . $_SESSION['login_user'] . " (" . $_SESSION['login_datetime'] . ")";
	} else {
		$Message = "---";
	}

	return $Message;
}

?>